Debian Bug report logs - #710935
libmotif-common: conflict with libmotif3 2.3.0-1

version graph

Package: libmotif-common; Maintainer for libmotif-common is Graham Inggs <graham@nerve.org.za>; Source for libmotif-common is src:motif.

Reported by: Brian Minton <brian@minton.name>

Date: Mon, 3 Jun 2013 17:42:29 UTC

Severity: important

Found in version motif/2.3.4-3

Fixed in version motif/2.3.4-4

Done: Graham Inggs <graham@nerve.org.za>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Graham Inggs <graham@nerve.org.za>:
Bug#710935; Package libmotif-common. (Mon, 03 Jun 2013 17:42:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Minton <brian@minton.name>:
New Bug report received and forwarded. Copy sent to Graham Inggs <graham@nerve.org.za>. (Mon, 03 Jun 2013 17:42:33 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Brian Minton <brian@minton.name>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmotif-common: conflict with libmotif3 2.3.0-1
Date: Mon, 03 Jun 2013 13:40:36 -0400
Package: libmotif-common
Version: 2.3.4-3
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Dear Maintainer,

dpkg: error processing
/var/cache/apt/archives/libmotif-common_2.3.4-3_all.deb (--unpack):
 trying to overwrite '/usr/include/X11/bitmaps/xm_hour16', which is also
 in package libmotif3 2.3.0-1


- -- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (x86_64)
Foreign Architectures: amd64

Kernel: Linux 3.9.0 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages libmotif-common depends on:
ii  x11-common  1:7.7+3

Versions of packages libmotif-common recommends:
iu  libmrm4  2.3.4-3
iu  libuil4  2.3.4-3
iu  libxm4   2.3.4-3

libmotif-common suggests no packages.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAlGs1Q8ACgkQ2/alund99IfhkQCguR7mTCyUDQuycs/8eACZWLlP
F94Anjadq0HeNiVX+gMOKext042551lf
=LABE
-----END PGP SIGNATURE-----



Reply sent to Brian Minton <brian@minton.name>:
You have taken responsibility. (Wed, 05 Jun 2013 15:45:05 GMT) Full text and rfc822 format available.

Notification sent to Brian Minton <brian@minton.name>:
Bug acknowledged by developer. (Wed, 05 Jun 2013 15:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 710935-done@bugs.debian.org (full text, mbox):

From: Brian Minton <brian@minton.name>
To: 710935-done@bugs.debian.org
Date: Wed, 5 Jun 2013 11:43:20 -0400
[Message part 1 (text/plain, inline)]
Close this bug. It refers to obsolete package libmotif3, which is no longer
in the archive.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#710935; Package libmotif-common. (Wed, 05 Jun 2013 16:21:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Graham Inggs <graham@nerve.org.za>:
Extra info received and forwarded to list. (Wed, 05 Jun 2013 16:21:14 GMT) Full text and rfc822 format available.

Message #15 received at 710935@bugs.debian.org (full text, mbox):

From: Graham Inggs <graham@nerve.org.za>
To: 710935@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libmotif-common: conflict with libmotif3 2.3.0-1
Date: Wed, 5 Jun 2013 18:20:52 +0200
[Message part 1 (text/plain, inline)]
reopen 710935
tags 710935 pending
thanks

Hi Brian

Thanks for reporting this.  I don't believe it matters that libmotif3 is no
longer in the archive.
Users may have never removed libmotif3 after an upgrade, or may have
installed it manually for compatibility with commercial software.

The motif packages now include compatibility with libmotif3 and therefore
should properly transition from libmotif3.

Regards
Graham
[Message part 2 (text/html, inline)]

Bug reopened Request was from Graham Inggs <graham@nerve.org.za> to control@bugs.debian.org. (Wed, 05 Jun 2013 16:21:17 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Graham Inggs <graham@nerve.org.za> to control@bugs.debian.org. (Wed, 05 Jun 2013 16:21:18 GMT) Full text and rfc822 format available.

Reply sent to Graham Inggs <graham@nerve.org.za>:
You have taken responsibility. (Mon, 24 Jun 2013 19:03:21 GMT) Full text and rfc822 format available.

Notification sent to Brian Minton <brian@minton.name>:
Bug acknowledged by developer. (Mon, 24 Jun 2013 19:03:21 GMT) Full text and rfc822 format available.

Message #24 received at 710935-close@bugs.debian.org (full text, mbox):

From: Graham Inggs <graham@nerve.org.za>
To: 710935-close@bugs.debian.org
Subject: Bug#710935: fixed in motif 2.3.4-4
Date: Mon, 24 Jun 2013 19:00:05 +0000
Source: motif
Source-Version: 2.3.4-4

We believe that the bug you reported is fixed in the latest version of
motif, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 710935@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Graham Inggs <graham@nerve.org.za> (supplier of updated motif package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 04 Jun 2013 19:19:12 +0200
Source: motif
Binary: libmotif-common libmrm4 libuil4 libxm4 uil libmotif4-dbg libmotif-dev mwm motif-clients libmotif4 libmotif3
Architecture: source all amd64
Version: 2.3.4-4
Distribution: unstable
Urgency: low
Maintainer: Graham Inggs <graham@nerve.org.za>
Changed-By: Graham Inggs <graham@nerve.org.za>
Description: 
 libmotif-common - Motif - common files
 libmotif-dev - Motif - development files
 libmotif3  - Motif - shared libraries (transitional package)
 libmotif4  - Motif - shared libraries (transitional package)
 libmotif4-dbg - Motif - debugging symbols
 libmrm4    - Motif - MRM (Motif Resource Manager) shared library
 libuil4    - Motif - UIL (User Interface Language) shared library
 libxm4     - Motif - X/Motif shared library
 motif-clients - Motif Window Manager (transitional package)
 mwm        - Motif Window Manager
 uil        - Motif - UIL (User Interface Language) compiler
Closes: 710935
Changes: 
 motif (2.3.4-4) unstable; urgency=low
 .
   * Provide a libmotif3 transitional package (Closes: #710935)
   * Let the uil package break and replace libmotif-dev (<< 2.3.4)
Checksums-Sha1: 
 bad2a24f8c1866fea6dcd829c026b23b6555608c 2083 motif_2.3.4-4.dsc
 0ce39f5e8fe77fb6b5b1123f71d0520d2e62cf65 49134 motif_2.3.4-4.debian.tar.gz
 13826dba4782e4ed7e434b8a4eef28d0f5c0695f 29208 libmotif-common_2.3.4-4_all.deb
 2c51e9a7b7dece37a43cd3eec805391ff11c6168 88008 libmrm4_2.3.4-4_amd64.deb
 b48d20d2524a90aa680fcc328b2586fae35994d4 192844 libuil4_2.3.4-4_amd64.deb
 91df5ab9aefc945cf7b7f388694f029dff7eb4eb 1230678 libxm4_2.3.4-4_amd64.deb
 66e09aaf333f291387b0a2cb6b113fb509ed7773 26888 uil_2.3.4-4_amd64.deb
 82274c9572ec19d0b9fef8615450a3afe3e4be32 4713078 libmotif4-dbg_2.3.4-4_amd64.deb
 fabf1822850c6ba63e89c2cff504ca9d9a3142a0 3063380 libmotif-dev_2.3.4-4_amd64.deb
 1baa98ea0fecadbffbf9dfa1cd9e66ae5e0cbf20 205080 mwm_2.3.4-4_amd64.deb
 797d4e827b97e5021fce41e45859a352300add96 21454 motif-clients_2.3.4-4_all.deb
 500249165bf5bd99997b5d5df881a79a7c109bc1 21470 libmotif4_2.3.4-4_amd64.deb
 d1707fb179df139f0336a198e1196108b493c2f5 21470 libmotif3_2.3.4-4_amd64.deb
Checksums-Sha256: 
 a0842539f4aea05d5f4bfc0c389bc3a83dccf406c2ab162a8e7ed02fc253de6d 2083 motif_2.3.4-4.dsc
 6f305cbbeb1cf7d7fa159a8e444dd34652b073c896754adb913511122a71cec2 49134 motif_2.3.4-4.debian.tar.gz
 7ec4f7c3b6fb25193529cb0b159acb1935170795b849127656c0bacaf3b50ee3 29208 libmotif-common_2.3.4-4_all.deb
 35d20220e4fb8e07277a7a37b6832a63487ec5662fe89d47f09cad4dc969bc6e 88008 libmrm4_2.3.4-4_amd64.deb
 12957a02ea624bec95588029746c1aa856077603d55e3bc0db718d7e49c49bef 192844 libuil4_2.3.4-4_amd64.deb
 a4e2289ad4abd5c3a37d6e375978c43be1d958ddbe96c4dd39f444cc6a03afd1 1230678 libxm4_2.3.4-4_amd64.deb
 faf3e077a11f97c3fa9a65194261caa22880682124c592fed7cb7d054dd04924 26888 uil_2.3.4-4_amd64.deb
 e872858eb53cee837ba1c99603532377c7c3c14fccc3695e3ef7e5740220d45e 4713078 libmotif4-dbg_2.3.4-4_amd64.deb
 f49ecfa5c0f853609911efa91c712460a175960f3fca56c9b2af71fcf9da21f8 3063380 libmotif-dev_2.3.4-4_amd64.deb
 0fc0ba54f8cf9e64854c1bacd4bf1668ee212435aa480ff61a691d5dd04610ce 205080 mwm_2.3.4-4_amd64.deb
 9c06ba76bb060a283264be33cbb95badde55dfe68d2789f1741649bd19da03cf 21454 motif-clients_2.3.4-4_all.deb
 195b29aa55625f2ecde30bcdaa2a4eac304e471914aadec51964395471dbe370 21470 libmotif4_2.3.4-4_amd64.deb
 9686b996204582e9571f4904aaf661fbf4f9b770f5df3587a0ccffe56fd0da87 21470 libmotif3_2.3.4-4_amd64.deb
Files: 
 063baf068d15cca32d577e447c9a601b 2083 x11 optional motif_2.3.4-4.dsc
 78808baf31efdb0e97f73e98c1ea66c7 49134 x11 optional motif_2.3.4-4.debian.tar.gz
 94a62bb88d6372b81881cf5b7ed74ebe 29208 libs optional libmotif-common_2.3.4-4_all.deb
 0d852e351827b5093a8ff33314166bc3 88008 libs optional libmrm4_2.3.4-4_amd64.deb
 3f5fe291b78c7f66700833f22e9697b1 192844 libs optional libuil4_2.3.4-4_amd64.deb
 289b1afc2fde34cf4f63f3b0a3524430 1230678 libs optional libxm4_2.3.4-4_amd64.deb
 30a5efe089739d961242c87c81682485 26888 devel optional uil_2.3.4-4_amd64.deb
 f94c64a29d15a7acc5ab7b14bbde591b 4713078 debug extra libmotif4-dbg_2.3.4-4_amd64.deb
 efd97018d2db52fa887ee46786822bda 3063380 libdevel optional libmotif-dev_2.3.4-4_amd64.deb
 a3605dbfc80337c77eb8e0f67932734a 205080 x11 optional mwm_2.3.4-4_amd64.deb
 24dd6d9b5133248f9b77de6739b21586 21454 oldlibs extra motif-clients_2.3.4-4_all.deb
 cd877a96f9ae8accf8e1fabe3af39cd2 21470 oldlibs extra libmotif4_2.3.4-4_amd64.deb
 a442c2414da3228bc56fc5e8bd577d16 21470 oldlibs extra libmotif3_2.3.4-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJRs54iAAoJEJxcmesFvXUKQXYH/2SbQr1K6BwhiD6ejZMEF0Ov
5h+2zpQHK9mrzuQ2dPJPpx0xYSJrIWAJmVipWi+NNOeyzU7frwln000F51VHR82J
xADxjewaOAtjdgmvL8HSFvG6B0pDoe3M1N7+e+pvZhKatdtxC5N36XzO4aGhpfZG
5AkWwqAQgGH3Z0/IjxkvOIEQ4YaRn/Gsoq/j0uCpF1U26uRN30r/IUTSZmWqJqXy
N7MgxVK1w2evaT+j1ywAEuAfKkt0iJ1Jk6P8a0l2wONhCV1ixeGJWoVdPYZhLGpx
DVqlwaCFG+I8+OEpAjQrxeMkch/wPrIuOb8+eJKQUsZ7cjH2/ryuGFMAz+lGGPo=
=H2cK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Aug 2013 07:29:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 18:55:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.